Subject: Re: bug#30649: Cuirass service does not rotate its logs

From: Andreas Enge <[email-masked]>
Date: Thu, 1 Mar 2018 17:43:10 +0100

On Thu, Mar 01, 2018 at 05:35:54PM +0100, Ludovic Courtès wrote:
> The cuirass service in GuixSD explicitly extends rottlog so that this
> file is rotated on a weekly basis.  Perhaps you just need to wait a
> little longer?

The problem is not that the file grows too large.

The problem was that after rebooting the server, the file was *replaced*
with newly written content. Maybe the problem is not rotation, but opening
a file in "write" instead of "append" mode...

Andreas